Ubuntu

Crash in software-center when starting service com.ubuntu.sso

Reported by Varun Vijayaraghavan on 2012-12-01
58
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Ubuntu Software Center
High
Unassigned
software-center (Ubuntu)
Undecided
Unassigned

Bug Description

When I open the ubuntu software center, it just crashes.

I did some ultra basic debugging, and it appears to a be a problem while starting "com.ubuntu.sso" service.

This happens every time I open USC. As of now, I USC is completely useless for me..

λ ~/ software-center
Starting service by name: com.ubuntu.Softwarecenter
2012-12-01 10:33:45,874 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2012-12-01 10:33:45,877 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True
2012-12-01 10:33:46,160 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
Starting service by name: com.ubuntu.Softwarecenter
2012-12-01 10:33:46,269 - softwarecenter.ui.gtk3.app - INFO - show_available_packages: search_text is '', app is None.
2012-12-01 10:33:46,277 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()
Starting service by name: com.ubuntu.sso
Traceback (most recent call last):
  File "/usr/bin/software-center", line 176, in <module>
    app.run(args)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 1422, in run
    self.show_available_packages(args)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 1352, in show_available_packages
    self.view_manager.set_active_view(ViewPages.AVAILABLE)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/session/viewmanager.py", line 154, in set_active_view
    view_widget.init_view()
  File "/usr/share/software-center/softwarecenter/ui/gtk3/panes/availablepane.py", line 171, in init_view
    self.apps_filter)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/catview_gtk.py", line 238, in __init__
    self.build(desktopdir)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/catview_gtk.py", line 511, in build
    self._build_homepage_view()
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/catview_gtk.py", line 273, in _build_homepage_view
    self._append_recommended_for_you()
  File "/usr/share/software-center/softwarecenter/ui/gtk3/views/catview_gtk.py", line 481, in _append_recommended_for_you
    self.recommended_for_you_panel = RecommendationsPanelLobby(self)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/widgets/recommendations.py", line 160, in __init__
    self._try_sso_login()
  File "/usr/share/software-center/softwarecenter/ui/gtk3/widgets/recommendations.py", line 224, in _try_sso_login
    self.RECOMMENDATIONS_OPT_IN_TEXT)
  File "/usr/share/software-center/softwarecenter/backend/login_sso.py", line 164, in get_sso_backend
    sso_class = LoginBackendDbusSSO(window_id, appname, help_text)
  File "/usr/share/software-center/softwarecenter/backend/login_sso.py", line 48, in __init__
    'com.ubuntu.sso', '/com/ubuntu/sso/credentials')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 243, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 181, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 280, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: software-center 5.2.6
ProcVersionSignature: Ubuntu 3.2.0-34.53-generic 3.2.33
Uname: Linux 3.2.0-34-generic x86_64
ApportVersion: 2.0.1-0ubuntu15
Architecture: amd64
Date: Sat Dec 1 10:25:14 2012
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
MarkForUpload: True
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

As expected, it appears that I am getting the same error in ubuntu one, too.

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

What is the output if you run:
$ U1_DEBUG=True /usr/lib/ubuntuone-client/ubuntuone-login
?

Changed in software-center (Ubuntu):
status: New → Incomplete

λ ~/ U1_DEBUG=True /usr/lib/ubuntuone-client/ubuntuone-login
2012-12-07 08:32:49,844 - ubuntuone.credentials - INFO - Starting Ubuntu One login manager for bus u'com.ubuntuone.Credentials'.
ERROR:dbus.proxies:Introspect error on com.ubuntu.sso:/com/ubuntu/sso/credentials: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1

Is there any other way I can be of help here?

If not, ts there some config or something else that I can clear so I can uninstall and reinstall the software center? I am unable to install my purchased software from there now.

Michael Vogt (mvo) wrote :

Thanks for this additional debug info and sorry for the trouble.

What happens if you run:
$ U1_DEBUG=True /usr/lib/ubuntu-sso-client/ubuntu-sso-login

? What is the output then?

It may help to reinstall software-center but it would be nice to get the output of the above command to get to the bottom of the problem.

Sorry for not getting back earlier. I tried running it, but I get the following error:

λ ~/ U1_DEBUG=True /usr/lib/ubuntu-sso-client/ubuntu-sso-login
Traceback (most recent call last):
  File "/usr/lib/ubuntu-sso-client/ubuntu-sso-login", line 63, in <module>
    from ubuntu_sso.main import main
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/main/__init__.py", line 39, in <module>
    from twisted.internet import defer
  File "/usr/lib/python2.7/dist-packages/twisted/internet/defer.py", line 25, in <module>
    from twisted.python import log, failure, lockfile
  File "/usr/lib/python2.7/dist-packages/twisted/python/log.py", line 17, in <module>
    from zope.interface import Interface
ImportError: No module named interface

I do have zope though:

λ ~/ ls -a /usr/local/lib/python2.7/dist-packages | grep zope
zope
zope.component-4.0.0.egg-info
zope.component-4.0.0-nspkg.pth
zope.deprecation-4.0.0-py2.7.egg
zope.event-4.0.0.egg-info
zope.event-4.0.0-nspkg.pth
zope.interface-4.0.1-py2.7-linux-x86_64.egg
zopeproject-0.4.2-py2.7.egg

I checked my PYTHONPATH, and I got this:
λ ~/ echo $PYTHONPATH
:/home/kvv/{PERSONAL_PROJECT}

On adding /usr/local/lib/python2.7/dist-packages to pythonpath I still get the same error. Is it just a problem with my PYTHONPATH that's causing this error?

Hey,

Uninstalling (purging) and reinstalling usc and ubuntu one did not work. So I unfortunately ended up reinstalling ubuntu. :(

There is a semi-decent chance that I messed up some of the python dependencies, but the sad part is that everything else seemed to work normally, except software center and ubuntuone.

I think this bug can be closed, as I can't provide further information.

Tero Kuusela (teroajk) wrote :

For anyone running into this problem, the reason probably is you've installed a Zope module from some other source than the official repository. I managed to fix this with the following commands:

cd /usr/local/lib/python2.7/dist-packages/zope
sudo ln -s /usr/share/pyshared/zope/interface/

Credit for the solution goes to: http://anibalpacheco.com/?p=51

Launchpad Janitor (janitor) wrote :

[Expired for software-center (Ubuntu) because there has been no activity for 60 days.]

Changed in software-center (Ubuntu):
status: Incomplete → Expired
ing.pazzo (gaetanodonghia) wrote :

Same problem for me
I reinstalled software-center but no changes..

xxx@xxx-laptop:~$ software-center
2013-03-22 23:11:57,448 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2013-03-22 23:11:57,456 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True
2013-03-22 23:11:57,651 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/dbus/proxies.py', 410, '_introspect_error_handler')'
2013-03-22 23:11:57,651 - dbus.proxies - ERROR - Introspect error on com.ubuntu.sso:/com/ubuntu/sso/credentials: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1
Traceback (most recent call last):
File "/usr/bin/software-center", line 130, in <module>
app = SoftwareCenterAppGtk3(options, args)
File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 337, in __init__
self.icons)
File "/usr/share/software-center/softwarecenter/ui/gtk3/session/appmanager.py", line 66, in __init__
self.oauth_token = helper.find_oauth_token_sync()
File "/usr/share/software-center/softwarecenter/backend/ubuntusso.py", line 139, in find_oauth_token_sync
sso.find_credentials()
File "/usr/share/software-center/softwarecenter/backend/login_impl/login_sso.py", line 75, in find_credentials
self.proxy.find_credentials(self.appname, self._get_params())
File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
return self._proxy_method(*args, **keywords)
File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
**keywords)
File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1

After i have read your posts i tried this:

xxx@xxx-laptop:~$ U1_DEBUG=True /usr/lib/ubuntu-sso-client/ubuntu-sso-login

Traceback (most recent call last):
  File "/usr/lib/ubuntu-sso-client/ubuntu-sso-login", line 66, in <module>
    from ubuntu_sso.main import main
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/main/__init__.py", line 96, in <module>
    from ubuntu_sso.main import linux as source
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/main/linux.py", line 464, in <module>
    from ubuntu_sso.main import qt
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/main/qt.py", line 39, in <module>
    from PyQt4 import QtCore
RuntimeError: the sip module implements API v9.0 to v9.1 but the PyQt4.QtCore module requires API v8.1

What to do now, according to you?

Thanks

Julien Funk (jaboing) on 2013-04-10
Changed in software-center:
status: New → Confirmed
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Ubuntu One web team (ubuntuone-web)
tags: added: u1-by-user u1-on-production
romansky (roman-land) wrote :

Hah, the zope thing fixed it for me!

Thanks!

papachan (danloaiza) wrote :

After upgrading to ubuntu 13.04, i have the same problem here. I have no zope package in my python dist packages.

~$ software-center
2013-04-27 05:56:26,937 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2013-04-27 05:56:27,229 - softwarecenter.fixme - WARNING - logs to the root logger: '('/usr/lib/python2.7/dist-packages/dbus/proxies.py', 410, '_introspect_error_handler')'
2013-04-27 05:56:27,229 - dbus.proxies - ERROR - Introspect error on com.ubuntu.sso:/com/ubuntu/sso/credentials: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1
Traceback (most recent call last):
  File "/usr/bin/software-center", line 130, in <module>
    app = SoftwareCenterAppGtk3(options, args)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/app.py", line 338, in __init__
    self.icons)
  File "/usr/share/software-center/softwarecenter/ui/gtk3/session/appmanager.py", line 66, in __init__
    self.oauth_token = helper.find_oauth_token_sync()
  File "/usr/share/software-center/softwarecenter/backend/ubuntusso.py", line 141, in find_oauth_token_sync
    sso.find_credentials()
  File "/usr/share/software-center/softwarecenter/backend/login_impl/login_sso.py", line 75, in find_credentials
    self.proxy.find_credentials(self.appname, self._get_params())
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 70, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/lib/ubuntu-sso-client/ubuntu-sso-login exited with status 1

~$ /usr/lib/ubuntu-sso-client/ubuntu-sso-login
Traceback (most recent call last):
  File "/usr/lib/ubuntu-sso-client/ubuntu-sso-login", line 67, in <module>
    from ubuntu_sso.main import main
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/main/__init__.py", line 42, in <module>
    from ubuntu_sso.account import Account
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/account.py", line 48, in <module>
    from ubuntu_sso.utils.webclient.common import WebClientError
  File "/usr/lib/python2.7/dist-packages/ubuntu-sso-client/ubuntu_sso/utils/webclient/common.py", line 34, in <module>
    from oauthlib.oauth1 import (
ImportError: cannot import name SIGNATURE_HMAC

papachan (danloaiza) wrote :

Today i have updated my packages and Ubuntu Software center run normally again.It seems the new updates of ubuntu 13.04 fix the problem.

stevenvb (steven-v-bael) wrote :

I had the same "cannot import name SIGNATURE_HMAC" error as papachan causing sso-login and thus also software-center on launch.

I resolved it by reinstalling the oauthlib package via pip.

sudo pip install --upgrade oauthlib

piotr zimoch (ebytyes) on 2013-05-26
Changed in software-center:
status: Triaged → New
status: New → Incomplete
status: Incomplete → Opinion
status: Opinion → Invalid
status: Invalid → Confirmed
status: Confirmed → In Progress
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Rodney Dawes (dobey) on 2013-05-26
Changed in software-center:
status: Fix Released → Triaged
assignee: Ubuntu One web team (ubuntuone-web) → Ubuntu One Client Engineering team (ubuntuone-client-engineering)
Rodney Dawes (dobey) wrote :

This is an issue caused by externally installed software, that conflicts with our dependencies. We cannot support arbitrary versions of dependencies being installed on arbitrary versions of Ubuntu.

Changed in software-center:
assignee: Ubuntu One Client Engineering team (ubuntuone-client-engineering) → nobody
status: Triaged → Invalid
bootchk (bootch) wrote :

Clarifying dobey's response. dobey represents Ubuntu (Canonical), but I do not, so I could be wrong.

Canonical does not always offer support if you have installed software using other than Ubuntu Software Center (or an equivalent, just as command line apt-get.) For example, if you are a 'developer' and download source code from a website and build and install it yourself. (Let's call that an unsupported install.)

If Ubuntu Software Center does not start, it is likely you have unsupported installed for example: python, zope, sip, PyQt, or other. Ubuntu Software Center is an app written in Python that seems to depend on the example modules. In other words, you have stepped into dependency hell.

One strategy for a fix is: undo whatever you unsupported installed last, and reinstall using supported channels . Another strategy is: upgrade your Ubuntu version.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers